function J = cost(a, C, U_infy, A, rho)
    %% I will assume that C is already squared to improve computation time
    
    %% Code
    V = U_infy * (1 - 2 * sqrt(C * a.^2));
    J = 0.5 * A * rho * 4 * a .* (1 - a).^2 .* V.^3;
end

