function inside = D(States) 
    %----------------------------------------------------------------------
    % Description: Jump set
    % Return 0 if outside of D, and 1 if inside D
    %----------------------------------------------------------------------

    global param;
    
    i       = param{2};
    T       = param{3}; %vektor perioda

    tau = States(i(2) + 1 : i(3));
    
    S =  tau >= T';

    if  sum(S) >= 1
        inside = 1;
    else
        inside = 0;
    end
end