function [x] = proj_plane(x, a, b)
%%
% Calculates the projection of the point x onto the halfspace a^T * x <= b

    if (a' * x > b)
        x = x + (b - a' * x) *  a /(a' * a);
    end
    
    
    
end
